Bug 4218 - Staff client detail page does not show item hold status
Summary: Staff client detail page does not show item hold status
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-18 07:13 UTC by Owen Leonard
Modified: 2012-10-25 23:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenshot of proposed page display (42.68 KB, image/png)
2010-09-21 16:42 UTC, Owen Leonard
Details
Proposed fix (3.09 KB, patch)
2010-09-21 16:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Follow-up fix for XSLT display (1.58 KB, patch)
2011-03-16 15:37 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:24:32 UTC


---- Reported by oleonard@myacpl.org 2010-02-18 19:13:06 ----

In the staff client, the detail page does not show whether an item is on hold. An on-hold item will say "available" in the status column.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:24 UTC  ---

This bug was previously known as _bug_ 4218 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4218

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Comment 1 Ian Walls 2010-07-13 18:07:50 UTC
This can be remedied for any item-level holds, but what about title-level holds?  If the biblio in question has 3 copies attached, all checked in, which should be listed as 'on hold' for the patron?

The hold_fill_targets, part of the holds/build_holds_queue.pl cronjob, is the only place in the code so far that seems to do the job of assigning a title-level hold to a specific copy based on the circulation configurations, and it is only effected by the (typically hourly) cron.
Comment 2 Owen Leonard 2010-09-21 16:42:20 UTC
Created attachment 2638 [details]
Screenshot of proposed page display

I suggest adding the hold count as part of the biblio-level information being displayed.
Comment 3 Owen Leonard 2010-09-21 16:54:59 UTC
Created attachment 2639 [details] [review]
Proposed fix

Showing "on hold" in the holdings list (as we used to do) is misleading
if it is a bibilo-level hold. However seeing that a title has holds
is important information for this view. This patch adds a line to the
biblio-level information display with a count of the title's outstanding
holds.
Comment 4 Nicole C. Engard 2010-09-21 18:41:35 UTC
Love it - Signed off.
Comment 5 Chris Cormack 2010-12-13 02:58:04 UTC
Pushed to master, please test
Comment 6 Owen Leonard 2011-03-16 15:37:49 UTC
Created attachment 3325 [details] [review]
Follow-up fix for XSLT display
Comment 7 Chris Cormack 2011-03-17 21:53:27 UTC
Pushed, please test